Bug 21147 - nanny is flooding syslog with "bad load average retuned: ...
nanny is flooding syslog with "bad load average retuned: ...
Status: CLOSED NOTABUG
Product: Red Hat High Availability Server
Classification: Retired
Component: piranha (Show other bugs)
beta
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Wil Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-20 17:30 EST by Dan Reed
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-21 13:43:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2000-11-20 17:56:47 EST
this bug was accidently entered without a description...

my setup is as follows:

2 lvs routers running 
linux v6.2 kernel 2.2.17
ipvs-0.9.16-2.2.17 kernel patch
ipvsadmn v1.11-4
piranha-0.4.17-6

I have 3 virtual web servers running apache on port 80.
rwhod is running on all of the servers and ruptime works 
from the command line.  The following error is entered in my /var/log/messages 
log every 20 seconds:

Nov 20 10:05:51 lvs_router_1 nanny[1782]: running 
command  "ruptime" "192.168.100.10" "uptime"

Nov 20 10:05:51 lvs_router_1 nanny[1782]: bad load average returned: 
lvs_router_1  up      8:34,     2 users,  load 0.00, 0.00, 0.00 
lvs_router_2  up      4:31,     1 user,   load 0.00, 0.00, 0.00 
nfs_server    up      5:22,     0 users,  load 0.00, 0.00, 0.00 
va10          up      7:31,     1 user,   load 0.00, 0.00, 0.00 
va11          up      8:07,     0 users,  load 0.00, 0.00, 0.00 
va12          up      7:13,     0 users,  load 0.00, 0.00, 0.00

here is my lvs.cf file:

service = lvs
primary = 63.236.x.y
backup = 63.236.x.y
backup_active = 1
heartbeat = 1
heartbeat_port = 1050
keepalive = 3
deadtime = 9

rsh_command = rsh

network = nat
nat_router = 192.168.100.5 eth1:0

virtual web_server {
        scheduler = wlc
        persistent = 2
        pmask = 255.255.255.255
        address = 63.236.12.163 eth0:0
        active = 1
        port = 80
        load_monitor = ruptime
        timeout = 5
        reentry = 5
        protocol = tcp

       server web_ftp_1 {
               address = 192.168.100.10
               active = 1
               weight = 100
       }
       server web_ftp_2 {
               address = 192.168.100.11
               active = 1
               weight = 100
       }     
}
Comment 1 Red Hat Bugzilla 2000-11-20 18:35:28 EST
just upgraded to piranha 0.4.17-7 and problem doesn't seem to be here...will 
post if it comes up again...
Comment 2 Red Hat Bugzilla 2000-11-21 13:43:08 EST
OK. Then I'll close this entry and you can re-open if nedded.

Thanks

Note You need to log in before you can comment on or make changes to this bug.